<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Eshopsync
 * @author    Webkul Software Private Limited
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\SalesforceConnector\Model\Config\Source;

class Pricebook implements \Magento\Framework\Option\ArrayInterface
{

    protected $_data;
    protected $_helper;
    public function __construct(
        \Webkul\SalesforceConnector\Helper\Connection $helper,
        \Webkul\SalesforceConnector\Helper\Data $data
    ) {
        $this->_data = $data;
        $this->_helper = $helper;
    }
    public function toOptionArray()
    {
        $data = [];
            $conStatus = $this->_data->getConfigValue('general', 'connection_status');
        if ($conStatus) {
            $pricebooks = $this->_helper->_sfconfigData['pricebook'];
            if (isset($pricebooks) && !empty($pricebooks)) {
                foreach ($pricebooks as $key => $priceBook) {
                    array_push(
                        $data,
                        [
                                'id' => $priceBook['value'],
                                'name' => $priceBook['text'],
                            ]
                    );

                }
              
            } else {
                return [];
            }

        } else {
            return [];
        }
                return $data;
    }
}
